﻿@model Generations.MVC.Models.ApproveUsersListModel

@{
    ViewBag.Title = "Approve Users";
}

@section JavaScript {
<script type="text/javascript">
    $(document).ready(function () {
        $("#dialog-confirm").dialog({
            resizable: false,
            height: 200,
            modal: true,
            autoOpen: false,
            buttons: {
                "Approve All": function () {
                    $(this).dialog("close");
                    $('#formTarget').submit();
                },
                "Cancel": function () {
                    $(this).dialog("close");
                }
            }
        });

        $('#Save').click(function () {
            $('#dialog-confirm').dialog('open');
        });

    });         // End Document Ready
</script>
}

<h2>Approve Users</h2>

@if (Request.QueryString["DeleteError"] != null) { 
    <div id="error_div" class="ui-state-error ui-corner-all">
        <span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>
        Could not delete the user!
    </div>
}

@if (Request.QueryString["SaveError"] != null) { 
    <div id="error_div" class="ui-state-error ui-corner-all">
        <span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>
        An error occured saving your request, please try again.
    </div>
}

<form action="/Account/ApproveUsers" method="post" id="formTarget">

@if (Model.Users.Count() == 0)
{ 
    <p>There are no users to approve!</p>
} else { 
    <fieldset>
        <table>
            <thead class="FormTableThead">
                <tr>
                    <td class="FormTableTd">User Name</td>
                    <td class="FormTableTd">Email Address</td>
                    <td class="FormTableTd">Role to Assign</td>
                    <td class="FormTableTd">Delete</td>
                </tr>
            </thead>

            @Html.EditorFor(model => model.Users)

        </table>

        <input type="button" id="Save" value="Save" />
    </fieldset>    
}
</form>

<div id="dialog-confirm" title="Activate Users?">
    <p>
        <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>
            All users in this list will be activated with the given role. Are you sure?
        </p>
</div>